import { BasicEvent } from "@skeldjs/events";
import { RepairSystemMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { DeconSystem } from "../../systems";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { DeconEvent } from "./DeconEvent";
/**
 * Emitted when the doors in a decontamination zone open.
 */
export declare class DeconDoorsOpenEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, DeconEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly deconsystem: DeconSystem<RoomType>;
    readonly message: RepairSystemMessage | undefined;
    static eventName: "decon.doors.open";
    eventName: "decon.doors.open";
    constructor(room: RoomType, deconsystem: DeconSystem<RoomType>, message: RepairSystemMessage | undefined);
}
