import { RevertableEvent } from "@skeldjs/events";
import { RoomEvent } from "../RoomEvent";
import { HeliSabotageEvent } from "./HeliSabotageEvent";
import { Hostable } from "../../Hostable";
import { HeliSabotageSystem } from "../../systems";
/**
 * Emitted when the heli sabotage consoles on Airship are reset, i.e. when the 10s
 * timer reaches 0.
 */
export declare class HeliSabotageConsolesResetEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, HeliSabotageEvent {
    readonly room: RoomType;
    readonly helisabotagesystem: HeliSabotageSystem<RoomType>;
    static eventName: "heli.consoles.reset";
    eventName: "heli.consoles.reset";
    constructor(room: RoomType, helisabotagesystem: HeliSabotageSystem<RoomType>);
}
