"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LobbyBehaviour = void 0;
const util_1 = require("@skeldjs/util");
const constant_1 = require("@skeldjs/constant");
const Networkable_1 = require("../Networkable");
/**
 * Represents a room object for the Lobby map.
 *
 * See {@link LobbyBehaviourEvents} for events to listen to.
 */
class LobbyBehaviour extends Networkable_1.Networkable {
    constructor(room, spawnType, netId, ownerid, flags, data) {
        super(room, spawnType, netId, ownerid, flags, data);
    }
    getComponent(component) {
        if (this.spawnType === constant_1.SpawnType.LobbyBehaviour && component === LobbyBehaviour) {
            return this.components[0];
        }
        return super.getComponent(component);
    }
    get owner() {
        return super.owner;
    }
}
exports.LobbyBehaviour = LobbyBehaviour;
LobbyBehaviour.spawnPositions = [
    new util_1.Vector2(-1.6, 2.4),
    new util_1.Vector2(-1.3, 2.5),
    new util_1.Vector2(-1.1, 2.5),
    new util_1.Vector2(-0.8, 2.6),
    new util_1.Vector2(-0.6, 2.7),
    new util_1.Vector2(0.7, 2.8),
    new util_1.Vector2(0.9, 2.6),
    new util_1.Vector2(1.1, 2.6),
    new util_1.Vector2(1.4, 2.5),
    new util_1.Vector2(1.7, 2.4),
];
//# sourceMappingURL=LobbyBehaviour.js.map